density-methods {lumi} | R Documentation

## Density plot of a ExpressionSet object

### Description

Creating density plot of sample intensities in a ExpressionSet object. It is equivalent to hist-methods.

### Usage

    ## S4 method for signature 'ExpressionSet':
    density(x, logMode=TRUE, xlab = NULL, ylab = "density", type = "l",
            col=1:dim(x)[2], lty=1:dim(x)[2], lwd=1, xlim = NULL, index.highlight = NULL, color.highlight = 2,
            symmetry = NULL, addLegend = TRUE, subset = 5000, seed = 123, ...)

### Arguments

`x` | a `ExpressionSet` object
`logMode` | determine whether the density plot is based on a log2 scale
`xlab` | xlab of the density plot
`ylab` | ylab of the density plot
`type` | parameter of plot function
`col` | line colors of the density plot
`lty` | line types of the density plot
`lwd` | line width of plot function
`xlim` | parameter of the plot function
`index.highlight` | the column index of the highlighted density curve
`color.highlight` | color of highlighted density curve
`symmetry` | the boundary position suppose to be symmetric distributed
`addLegend` | whether add legend to the plot or not
`subset` | subset of rows used to plot. It can be an index vector, or the length of a random subset
`seed` | the random seed for random subset
`...` | additional parameters for `density` function

### See Also

`LumiBatch-class`, hist-methods, `density`

### Examples

    ## load example data
    data(example.lumi)

    density(example.lumi)

[Package lumi version 1.10.2 Index]